<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="horizontal"
    android:paddingBottom="16dp"
    tools:background="@color/white">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/top_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/game_rating"
            style="@style/CustomPageGameRating"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="8dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="9.3" />

        <TextView
            android:id="@+id/first_remark"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="6dp"
            android:includeFontPadding="false"
            android:textColor="@color/text_primary"
            android:textSize="11sp"
            android:textStyle="bold"
            android:visibility="gone"
            app:layout_constraintBottom_toTopOf="@id/second_remark"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="第一行标记"
            tools:visibility="visible" />

        <ImageView
            android:id="@+id/first_remark_badge"
            android:layout_width="16dp"
            android:layout_height="10dp"
            android:layout_marginLeft="2dp"
            android:layout_marginBottom="2dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@id/first_remark"
            app:layout_constraintLeft_toRightOf="@id/first_remark"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/second_remark"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="8dp"
            android:includeFontPadding="false"
            android:textColor="@color/text_tertiary"
            android:textSize="11sp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/first_remark"
            tools:text="第二行标记"
            tools:visibility="visible" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <FrameLayout
        android:id="@+id/lineContainer"
        android:layout_width="0dp"
        android:layout_height="5dp"
        android:visibility="gone"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/top_container"
        tools:visibility="visible">

        <View
            android:id="@+id/remark_line"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_gravity="center_vertical"
            android:background="@color/btn_gray_light"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/remark_dot"
            android:layout_width="5dp"
            android:layout_height="5dp"
            android:layout_gravity="center_horizontal"
            app:layout_constraintBottom_toBottomOf="@id/remark_line"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@id/remark_line" />
    </FrameLayout>

    <include
        android:id="@+id/simpleGameContainer"
        layout="@layout/game_horizontal_simple_item"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        app:layout_goneMarginTop="0dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/lineContainer" />

</androidx.constraintlayout.widget.ConstraintLayout>

